package cn.com.countrygarden.bi.main.service.investment;

import java.util.List;
import java.util.Map;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.investment.InvestProjectInvestment;
import cn.com.countrygarden.bi.main.model.investment.InvestProjectProfit;
import cn.com.countrygarden.bi.main.model.investment.InvestRegionInvestment;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;

/**
 * 个人项目收益-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url
 * @date 2018-08-20
 */
public interface InvestProjectProfitService {

	Result queryPageList(InvestProjectProfit investProjectProfit, int page, int size);

	Result queryById(Integer id);

	Result add(InvestProjectProfit investProjectProfit, AccessToken accessToken);

	Result edit(InvestProjectProfit investProjectProfit, AccessToken accessToken);

	void addOrUpdate(List<InvestRegionInvestment> investRegionInvestmentList);

	void regionTotalEditComputeRegionInvestment(int investRegionTotalId);

	void projectInvestmentEditComputeProjectProfit(Map<String, String> investRegionTotalId);

	Result del(String personInvestmentId);

}